<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::hash_map&lt; domain, range, expnum, mem_manager, compare &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1hash__map.html">hash_map</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pri-types">Private Types</a> &#124;
<a href="classdlib_1_1hash__map-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::hash_map&lt; domain, range, expnum, mem_manager, compare &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a8eb280153ad2c7e79b47baaed73b7bd9"><td class="memItemLeft" align="right" valign="top"><a id="a8eb280153ad2c7e79b47baaed73b7bd9"></a>
typedef <a class="el" href="classdlib_1_1hash__map__kernel__1.html">hash_map_kernel_1</a>&lt; domain, range, expnum, <a class="el" href="classdlib_1_1hash__table__kernel__1.html">hash_table_1</a>, mem_manager &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1a</b></td></tr>
<tr class="separator:a8eb280153ad2c7e79b47baaed73b7bd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15447377965b2d52de081028e7005024"><td class="memItemLeft" align="right" valign="top"><a id="a15447377965b2d52de081028e7005024"></a>
typedef <a class="el" href="classdlib_1_1hash__map__kernel__c.html">hash_map_kernel_c</a>&lt; <a class="el" href="classdlib_1_1hash__map__kernel__1.html">kernel_1a</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1a_c</b></td></tr>
<tr class="separator:a15447377965b2d52de081028e7005024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3713b56d523e9539fc503442d727b52"><td class="memItemLeft" align="right" valign="top"><a id="aa3713b56d523e9539fc503442d727b52"></a>
typedef <a class="el" href="classdlib_1_1hash__map__kernel__1.html">hash_map_kernel_1</a>&lt; domain, range, expnum, <a class="el" href="classdlib_1_1hash__table__kernel__2.html">hash_table_2</a>, mem_manager &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1b</b></td></tr>
<tr class="separator:aa3713b56d523e9539fc503442d727b52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa90abac9f060bb48036dec6e7d851e0f"><td class="memItemLeft" align="right" valign="top"><a id="aa90abac9f060bb48036dec6e7d851e0f"></a>
typedef <a class="el" href="classdlib_1_1hash__map__kernel__c.html">hash_map_kernel_c</a>&lt; <a class="el" href="classdlib_1_1hash__map__kernel__1.html">kernel_1b</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1b_c</b></td></tr>
<tr class="separator:aa90abac9f060bb48036dec6e7d851e0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a142a6f1b677afb755c6c2d0fcda09052"><td class="memItemLeft" align="right" valign="top"><a id="a142a6f1b677afb755c6c2d0fcda09052"></a>
typedef <a class="el" href="classdlib_1_1hash__map__kernel__1.html">hash_map_kernel_1</a>&lt; domain, range, expnum, <a class="el" href="classdlib_1_1hash__table__kernel__2.html">hash_table_3</a>, mem_manager &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1c</b></td></tr>
<tr class="separator:a142a6f1b677afb755c6c2d0fcda09052"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a405790287ae2018cb9249567256279b8"><td class="memItemLeft" align="right" valign="top"><a id="a405790287ae2018cb9249567256279b8"></a>
typedef <a class="el" href="classdlib_1_1hash__map__kernel__c.html">hash_map_kernel_c</a>&lt; <a class="el" href="classdlib_1_1hash__map__kernel__1.html">kernel_1c</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1c_c</b></td></tr>
<tr class="separator:a405790287ae2018cb9249567256279b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-types"></a>
Private Types</h2></td></tr>
<tr class="memitem:a55840482f8ba81be86477fb90587e0ef"><td class="memItemLeft" align="right" valign="top"><a id="a55840482f8ba81be86477fb90587e0ef"></a>
typedef <a class="el" href="classdlib_1_1hash__table.html">hash_table</a>&lt; domain, range, mem_manager, compare &gt;::<a class="el" href="classdlib_1_1hash__map__kernel__1.html">kernel_1a</a>&#160;</td><td class="memItemRight" valign="bottom"><b>hash_table_1</b></td></tr>
<tr class="separator:a55840482f8ba81be86477fb90587e0ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30e7ba1c689a2c830c9a7387ca3bc7e4"><td class="memItemLeft" align="right" valign="top"><a id="a30e7ba1c689a2c830c9a7387ca3bc7e4"></a>
typedef <a class="el" href="classdlib_1_1hash__table.html">hash_table</a>&lt; domain, range, mem_manager, compare &gt;::kernel_2a&#160;</td><td class="memItemRight" valign="bottom"><b>hash_table_2</b></td></tr>
<tr class="separator:a30e7ba1c689a2c830c9a7387ca3bc7e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31020f35a8a4e4b8796fc2c0710ed87e"><td class="memItemLeft" align="right" valign="top"><a id="a31020f35a8a4e4b8796fc2c0710ed87e"></a>
typedef <a class="el" href="classdlib_1_1hash__table.html">hash_table</a>&lt; domain, range, mem_manager, compare &gt;::kernel_2b&#160;</td><td class="memItemRight" valign="bottom"><b>hash_table_3</b></td></tr>
<tr class="separator:a31020f35a8a4e4b8796fc2c0710ed87e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="hash__map_8h_source.html">hash_map.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
